/*
 * The MIT License
 *
 * Copyright 2016 ismitka.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH
 * THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *
 * Document : _.js Created on : Oct 23, 2016 Author : ismitka
 */

jQuery(document).ready(function() {
    var sidebar = jQuery(".meteo-sidebar");
    sidebar.hover(function(event) {
        sidebar.blur().addClass("open");
    }, function(event) {
        sidebar.blur().removeClass("open");
    });
    var loader = function() {
        jQuery.ajax({
            url : "/wp-content/plugins/meteo-sidebar/data-provider.php",
            data : {
                placeId : sidebar.data("placeId")
            },
            type : 'post',
            dataType : 'json',
            success : function(response) {
                jQuery("[data-symbol]", sidebar).attr("src", "/wp-content/plugins/meteo-sidebar/static/svg/" + response.symbolCode + ".svg");
                jQuery("[data-temp]", sidebar).html(response.temperature);
                jQuery("[data-link]", sidebar).attr("href", response.link);
            },
            error : function() {
                console.log("Can't load forecast");
            }
        });
    }
    loader();
    window.setInterval(loader, 15 * 60 * 1000);
});